Bug 1778235 - 4.2 backport: network operator crashes when infra.status.platformStatus is missing
Summary: 4.2 backport: network operator crashes when infra.status.platformStatus is mi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.2.z
Assignee: Ricardo Carrillo Cruz
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1773870 1781558 1787765
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-29 14:40 UTC by Ricardo Carrillo Cruz
Modified: 2020-01-07 17:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1773870
Environment:
Last Closed: 2020-01-07 17:55:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 407 0 None None None 2019-12-13 13:48:37 UTC
Red Hat Product Errata RHBA-2020:0014 0 None None None 2020-01-07 17:55:25 UTC

Comment 2 zhaozhanqi 2019-12-16 08:47:10 UTC
Verified this bug on 4.2.0-0.nightly-2019-12-15-230238

when delete the platform status and edit the proxy, see network operator pod is working well and see below logs:

2019/12/16 08:42:15 Reconciling proxy 'cluster'
2019/12/16 08:42:16 Reconciling proxy 'cluster' complete
2019/12/16 08:42:16 Reconciling proxy 'cluster'
2019/12/16 08:42:16 Reconciling proxy 'cluster' complete
2019/12/16 08:43:54 Reconciling proxy 'cluster'
2019/12/16 08:43:54 Reconciling proxy 'cluster' complete

Comment 4 errata-xmlrpc 2020-01-07 17:55:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0014


Note You need to log in before you can comment on or make changes to this bug.